uuid: bba71567-126c-45dd-87b7-c64cd7cb706e
langcode: en
status: true
dependencies: {  }
_core:
  default_config_hash: sHpTuBlN2_eBjg6NI88UARG8mHYLBZxKQ1iJgW1mdEM
id: d7_simplenews_nodes
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
  - Materio
migration_group: d7_materio
label: 'Simplenews newsletters nodes'
source:
  plugin: d7_simplenews_nodes
  node_type: simplenews
  high_water_property:
    name: changed
    alias: 'n'
process:
  type:
    plugin: default_value
    default_value: simplenews_issue
  title: title
  created: created
  changed: changed
  uid:
    plugin: migration_lookup
    migration: d7_users
    source: uid
  field_migration:
    plugin: default_value
    default_value: migration_imported
  body:
    plugin: iterator
    source: body
    process:
      value: value
      format:
        plugin: default_value
        default_value: wysiwyg
  langcode: language
  field_workflow:
    -
      plugin: default_value
      source: workflow
      default_value: 2
    -
      plugin: static_map
      default_value: 2
      map:
        1: workflow_creation
        2: workflow_hidden
        3: workflow_visible
        4: workflow_imported
        5: workflow_edited
  simplenews_issue/target_id:
    -
      plugin: extract
      source: field_simplenews_term
      index:
        - 0
        - tid
    -
      plugin: static_map
      map:
        6585: test
        6374: ze_daily_materio_
        6274: materio_newsletter
        7881: companies
  simplenews_issue/sent_count: snn_sent_subscriber_count
  simplenews_issue/status: snn_status
  simplenews_issue/error_count:
    plugin: default_value
    default_value: 0
  simplenews_issue/subscribers: snn_sent_subscriber_count
  simplenews_issue/handler:
    plugin: default_value
    default_value: simplenews_all
destination:
  plugin: 'entity:node'
migration_dependencies:
  required:
    - d7_allpublicfiles
    - d7_users
